SDL_RenderRects(3)

NAME
SDL_RenderRects - Draw some number of rectangles on the current rendering target at subpixel precision.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_RenderRects(SDL_Renderer *renderer, const SDL_FRect *rects, int count);

FUNCTION PARAMETERS

renderer
    the renderer which should draw multiple rectangles.

rects
    a pointer to an array of destination rectangles.

count
    the number of rectangles.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_RenderRect(3)